Gallery Platform API
Reference

List artwork location history

Lists an artwork's location / movement history, newest first. Appended automatically whenever the artwork's location changes.

GET
/gallery/artworks/{id}/locations

Lists an artwork's location / movement history, newest first. Appended automatically whenever the artwork's location changes.

Authorization

bearerAuth artworks:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artworks:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "artwork_id": "string",      "location": "string",      "reason": "string",      "note": "string",      "moved_by": "string",      "created_at": "string"    }  ]}